summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-07-23 14:50:52 +0200
committerJim Meyering <meyering@redhat.com>2008-07-23 15:55:45 +0200
commite535754fdbe701e70f3ac9834b643a9272dc1d98 (patch)
tree72f4d7236ca247db31001df16ec71599728c4045 /tests
parentf674a10f7ebc55de6181007a5216a297e3dc3365 (diff)
downloadcoreutils-e535754fdbe701e70f3ac9834b643a9272dc1d98.tar.xz
dd: minor fullblock changes
* src/dd.c (O_FULLBLOCK): Define using an enum, not #define. Derive the value, rather than hard-coding to one that might conflict. (usage): Mention iflag=fullblock in --help output. (scanargs): Reset the O_FULLBLOCK bit, so that we don't try to set an undefined attribute via fcntl (fd, F_SETFL, ... * tests/dd/misc: Signal framework_failure when necessary. Use "compare actual expected", so any diffs look "right". * NEWS (dd): Alphabetize and reword. * coreutils.texi (dd invocation): Adjust wording.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/dd/misc9
1 files changed, 4 insertions, 5 deletions
diff --git a/tests/dd/misc b/tests/dd/misc
index 24e5eba55..e550d6a52 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -90,12 +90,11 @@ test "$outbytes" -eq 3 || fail=1
(echo a; sleep .1; echo b) \
| LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
-echo "a
-b" > out_ok
+printf 'a\nb\n' > out_ok || framework_failure
echo "1+0 records in
-1+0 records out" > err_ok
-compare out out_ok || fail=1
-compare err err_ok || fail=1
+1+0 records out" > err_ok || framework_failure
+compare out_ok out || fail=1
+compare err_ok err || fail=1
test $fail -eq 0 && fail=$warn